Subject: Re: UNSURE: Re: bug#902: devuan-keyring: Archive keys not installed below /etc/apt/trusted.gpg.d

From: Mark Hindley <[email-masked]>
Date: Sun, 10 Aug 2025 07:23:11 +0100

Olaf,

Thanks.

On Sun, Aug 10, 2025 at 09:41:41AM +0900, Olaf Meeuwissen wrote:
> Two nitpicks:
> - s/ascii/ASCII/g, to avoid confusion with Devuan's ascii release ;-)

Good point: even the Devuan release is occasionally uppercase. I will remove it
completely and just refer to 'armoured'.

> - /etc/apt/trusted.gpg.d/ becomes a bit of a misnomer when it only has
>   *.asc files

Yes. That requires coordination with apt. I expect that will get updated in
Debian during the next cycle.

> One question:
> - Does the patch also add /var/lib/dpkg/info/devuan-keyring.conffiles?
>   That file was missing after installing 2025.07.30.

Yes, that is restored and contains

  /etc/apt/trusted.gpg.d/devuan-keyring-2016-archive.asc
  /etc/apt/trusted.gpg.d/devuan-keyring-2022-archive.asc
  /etc/apt/trusted.gpg.d/devuan-keyring-amprolla-2022-archive.asc
  /etc/apt/trusted.gpg.d/devuan-keyring-daedalus-archive.asc
  /etc/apt/trusted.gpg.d/devuan-keyring-dak-2025-archive.asc
  /etc/apt/trusted.gpg.d/devuan-keyring-excalibur-archive.asc
  /etc/apt/trusted.gpg.d/devuan-keyring-freia-archive.asc
  /etc/apt/trusted.gpg.d/devuan-keyring-gryphon-archive.asc

Once I have and ACK from Boian, I will build.

Mark